Wireshark-users: Re: [Wireshark-users] Cross compilation problem again
From: Andreas Fink <[email protected]>
Date: Tue, 6 Feb 2007 14:26:53 +0100
seems simply like you dont have glib-2.0 library compiled for your mips environment.
wireshark depends on glib and gtk+. tshark probably only on glib, given it doesnt have a X11 gui.


On 06.02.2007, at 14:01, Daniele Brevi wrote:

Hi to all,

I'm still trying to cross-compile tshark :-(
Running make I obtain the following error:

mipsel-linux-uclibc/bin/ld: cannot find -lgmodule-2.0

I'm not a linux expert but probably my mips gcc does not know glib 2.0

So I try run .configure with the --disable-gtk2 option, but it says to me

checking whether %llx can be used to format 64-bit integers... configure:
error: cannot run test program while cross compiling
See `config.log' for more details.
configure: error: /bin/sh './configure' failed for wiretap

I try to read configure file but it seems that (see line 22952) if I'm cross
compiling I can't pass this point sigh :-(

Some ideas about this?

Thank you very much and good work

Daniele

_______________________________________________
Wireshark-users mailing list





Andreas Fink

Fink Consulting GmbH
Global Networks Schweiz AG
BebbiCell AG

---------------------------------------------------------------
Tel: +41-61-6666330 Fax: +41-61-6666331  Mobile: +41-79-2457333
Address: Clarastrasse 3, 4058 Basel, Switzerland
www.finkconsulting.com www.global-networks.ch www.bebbicell.ch
---------------------------------------------------------------
ICQ: 8239353 MSN: [email protected] AIM: smsrelay Skype: andreasfink
Yahoo: finkconsulting SMS: +41792457333